org.apache.hadoop.yarn.server.api.protocolrecords

## Class NodesToAttributesMappingRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class NodesToAttributesMappingRequest
      extends Object

  list of node-attribute mapping request info.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodesToAttributesMappingRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `getFailOnUnknownNodes()`
    `abstract List<NodeToAttributes>` | `getNodesToAttributes()`
    `abstract AttributeMappingOperationType` | `getOperation()`
    `static NodesToAttributesMappingRequest` | `newInstance(AttributeMappingOperationType operation, List<NodeToAttributes> nodesToAttributes, boolean failOnUnknownNodes)`
    `abstract void` | `setFailOnUnknownNodes(boolean failOnUnknownNodes)`
    `abstract void` | `setNodesToAttributes(List<NodeToAttributes> nodesToAttributes)`
    `abstract void` | `setOperation(AttributeMappingOperationType operation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodesToAttributesMappingRequest

          public NodesToAttributesMappingRequest()

  - ### Method Detail

    - #### newInstance

          public static NodesToAttributesMappingRequest newInstance(AttributeMappingOperationType operation,
                                                                    List<NodeToAttributes> nodesToAttributes,
                                                                    boolean failOnUnknownNodes)

    - #### setNodesToAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setNodesToAttributes(List<NodeToAttributes> nodesToAttributes)

    - #### getNodesToAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<NodeToAttributes> getNodesToAttributes()

    - #### setFailOnUnknownNodes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setFailOnUnknownNodes(boolean failOnUnknownNodes)

    - #### getFailOnUnknownNodes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract boolean getFailOnUnknownNodes()

    - #### setOperation

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setOperation(AttributeMappingOperationType operation)

    - #### getOperation

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract AttributeMappingOperationType getOperation()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.